helix-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kishore g <g.kish...@gmail.com>
Subject Re: Upgrade to latest Zookeeper version
Date Wed, 06 Mar 2013 05:50:04 GMT
Hi Ming,

As a work around, you can remove that file and re compile it. It is not
needed at runtime, it is a tool that allows you to parse zookeeper
transaction logs and produce the sequence of things that happened in the
system. Its useful to debug failure scenarios in production systems.

I will see how to change the cod so that it works with both versions of
zookeeper.

Patrick, do you know if we broke the backward compatibility in any
zookeeper versions ?

Thanks,
Kishore G


On Tue, Mar 5, 2013 at 9:18 PM, Ming Fang <mingfang@mac.com> wrote:

> Helix currently uses Zookeeper version 3.3.4, which is rather old.
> I tried upgrading to version 3.4.5 but encountered compiling errors
> java: method deserializeTxn in class
> org.apache.zookeeper.server.util.SerializeUtils cannot be applied to given
> types;
>   required: byte[],org.apache.zookeeper.txn.TxnHeader
>   found: org.apache.jute.InputArchive,org.apache.zookeeper.txn.TxnHeader
>   reason: actual argument org.apache.jute.InputArchive cannot be converted
> to byte[] by method invocation conversion
>
> Are there any plans to upgrade to latest version?
>
>

Mime
View raw message